[Yandex Cloud documentation](../../../index.md) > [Monium](../../index.md) > API reference > Logs > [REST](../index.md) > [Sink](index.md) > Get

# Cloud Logging Service, REST: Sink.Get

Returns the specified sink.
To get the list of all available sinks, make a [List](../../../logging/api-ref/Sink/list.md#List) request.

## HTTP request

```
GET https://logging.api.cloud.yandex.net/logging/v1/sinks/{sinkId}
```

## Path parameters

#|
||Field | Description ||
|| sinkId | **string**

Required field. ID of the sink to return.
To get a sink ID make a [SinkService.List](../../../logging/api-ref/Sink/list.md#List) request.

The maximum string length in characters is 64. ||
|#

## Response {#yandex.cloud.logging.v1.Sink}

**HTTP Code: 200 - OK**

```json
{
  "id": "string",
  "folderId": "string",
  "cloudId": "string",
  "createdAt": "string",
  "name": "string",
  "description": "string",
  "labels": "object",
  "serviceAccountId": "string",
  // Includes only one of the fields `yds`, `s3`
  "yds": {
    "streamName": "string"
  },
  "s3": {
    "bucket": "string",
    "prefix": "string"
  }
  // end of the list of possible fields
}
```

#|
||Field | Description ||
|| id | **string**

Sink ID. ||
|| folderId | **string**

Sink folder ID. ||
|| cloudId | **string**

Sink cloud ID. ||
|| createdAt | **string** (date-time)

Sink creation time.

String in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format. The range of possible values is from
`0001-01-01T00:00:00Z` to `9999-12-31T23:59:59.999999999Z`, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
[Protocol Buffers reference](https://developers.google.com/protocol-buffers/docs/reference/overview).
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits). ||
|| name | **string**

Sink name. ||
|| description | **string**

Sink description. ||
|| labels | **object** (map<**string**, **string**>)

Sink labels. ||
|| serviceAccountId | **string**

Logs will be written to the sink on behalf of this service account ||
|| yds | **[Yds](#yandex.cloud.logging.v1.Sink.Yds)**

Yandex data stream

Includes only one of the fields `yds`, `s3`. ||
|| s3 | **[S3](#yandex.cloud.logging.v1.Sink.S3)**

Object storage

Includes only one of the fields `yds`, `s3`. ||
|#

## Yds {#yandex.cloud.logging.v1.Sink.Yds}

Logs destination

#|
||Field | Description ||
|| streamName | **string**

Fully qualified name of data stream

The maximum string length in characters is 512. ||
|#

## S3 {#yandex.cloud.logging.v1.Sink.S3}

#|
||Field | Description ||
|| bucket | **string**

Object storage bucket

Value must match the regular expression ` [a-zA-Z0-9][-a-zA-Z0-9.]{2,62} `. ||
|| prefix | **string**

Prefix to use for saved log object names

The maximum string length in characters is 1024. ||
|#